#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	recDialogId ;
extern int	recMesId[11] ;
extern int	recOkBtnId ;
extern int	recOkchk() ;
extern int	recPlayBtnId ;
extern int	recPlay() ;
extern int	recUndoBtnId ;
extern int	recUndo() ;
extern int	recCanBtnId ;
extern int	recCanchk() ;
extern int	recSubDialogId ;
extern int	recLineVolumeId ;
extern int	recVolumeSet() ;
extern int	recCdVolumeId ;
extern int	recMicVolumeId ;
extern int	recLineNumId ;
extern int	recCdNumId ;
extern int	recMicNumId ;
extern int	recTimeNumId ;
extern int	recTimeSet() ;
extern int	recRateNumId ;
extern int	recRateSet() ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataIOTREC = { "MmiInit",  25, 0 } ;

/* recDialogId */

static MMIPACKET d001 = {	&recDialogId,
							NULL,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d001d = {	MS_BTLEFTL40 | MS_EVMOSONL40,
							 149, 109, 491, 372, 8, 4, 8,
							MS_SRECTL40 | MS_UFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* recMesId[4] */

static MMIPACKET d002 = {	&recMesId[4],
							&recDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d002d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 174, 113, 222, 131, 8,15, 8,
							MS_NONEL40,
							"^ ",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* recOkBtnId */

static MMIPACKET d003 = {	&recOkBtnId,
							&recDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d003d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_EVKEYONL40,
							 169, 340, 230, 363,12, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							recOkchk,
							0x0000
						} ;

/* recMesId[0] */

static MMIPACKET d004 = {	&recMesId[0],
							&recDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d004d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 178, 343, 221, 360, 8,15, 8,
							MS_NONEL40,
							"  s",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* recPlayBtnId */

static MMIPACKET d005 = {	&recPlayBtnId,
							&recDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d005d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVMOSONL40 | MS_EVKEYONL40,
							 239, 340, 300, 363, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							recPlay,
							0x0000
						} ;

/* recMesId[1] */

static MMIPACKET d006 = {	&recMesId[1],
							&recDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d006d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 247, 343, 293, 360, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* recUndoBtnId */

static MMIPACKET d007 = {	&recUndoBtnId,
							&recDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d007d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 309, 340, 370, 363, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							recUndo,
							0x0000
						} ;

/* recMesId[2] */

static MMIPACKET d008 = {	&recMesId[2],
							&recDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d008d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 315, 343, 366, 360, 8,15, 8,
							MS_NONEL40,
							"AhD",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* recCanBtnId */

static MMIPACKET d009 = {	&recCanBtnId,
							&recDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d009d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 410, 340, 471, 363,10, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							recCanchk,
							0x0000
						} ;

/* recMesId[3] */

static MMIPACKET d010 = {	&recMesId[3],
							&recDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d010d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 419, 343, 465, 360, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* recSubDialogId */

static MMIPACKET d011 = {	&recSubDialogId,
							&recDialogId,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d011d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_FIXEDL40,
							 169, 134, 471, 332, 8, 4, 8,
							MS_DFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* recMesId[5] */

static MMIPACKET d012 = {	&recMesId[5],
							&recSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d012d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 288, 146, 369, 162, 0,15, 8,
							MS_NONEL40,
							"{[",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* recLineVolumeId */

static MMIPACKET d013 = {	&recLineVolumeId,
							&recSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d013d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 249, 173, 408, 188, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							recVolumeSet,
							   0,   0, 127,   8,   8,
							 265, 266
						} ;

/* recCdVolumeId */

static MMIPACKET d014 = {	&recCdVolumeId,
							&recSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d014d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 249, 203, 408, 218, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							recVolumeSet,
							   0,   0, 127,   8,   8,
							 265, 266
						} ;

/* recMicVolumeId */

static MMIPACKET d015 = {	&recMicVolumeId,
							&recSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d015d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 249, 233, 408, 248, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							recVolumeSet,
							   0,   0, 127,   8,   8,
							 265, 266
						} ;

/* recLineNumId */

static MMIPACKET d016 = {	&recLineNumId,
							&recSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d016d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_FIXEDL40,
							 417, 173, 456, 188, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0,   0, 127,   1,   0,
							 263, 264
						} ;

/* recCdNumId */

static MMIPACKET d017 = {	&recCdNumId,
							&recSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d017d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_FIXEDL40,
							 417, 203, 455, 218, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0,   0, 127,   1,   0,
							 263, 264
						} ;

/* recMicNumId */

static MMIPACKET d018 = {	&recMicNumId,
							&recSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d018d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_FIXEDL40,
							 417, 233, 456, 248, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0,   0, 127,   1,   0,
							 263, 264
						} ;

/* recMesId[7] */

static MMIPACKET d019 = {	&recMesId[7],
							&recSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d019d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 197, 203, 225, 218, 0,15, 8,
							MS_NONEL40,
							"bc",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* recMesId[6] */

static MMIPACKET d020 = {	&recMesId[6],
							&recSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d020d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 176, 172, 246, 189, 0,15, 8,
							MS_NONEL40,
							"C",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* recMesId[8] */

static MMIPACKET d021 = {	&recMesId[8],
							&recSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d021d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 193, 232, 229, 249, 0,15, 8,
							MS_NONEL40,
							"}CN",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* recTimeNumId */

static MMIPACKET d022 = {	&recTimeNumId,
							&recSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d022d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 207, 291, 270, 314, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							recTimeSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 100,   0,9999,   1,   1,
							 263, 264
						} ;

/* recMesId[9] */

static MMIPACKET d023 = {	&recMesId[9],
							&recSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d023d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 195, 266, 288, 283, 0,15, 8,
							MS_NONEL40,
							"ԁibj",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* recMesId[10] */

static MMIPACKET d024 = {	&recMesId[10],
							&recSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d024d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 296, 266, 469, 283, 0,15, 8,
							MS_NONEL40,
							"TvO[giHzj",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* recRateNumId */

static MMIPACKET d025 = {	&recRateNumId,
							&recSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d025d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 345, 291, 408, 314, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							recRateSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							9600,1000,9999, 100,   0,
							 263, 264
						} ;

